<?php
namespace OCA\Deckflow\DB;

use OCP\DB\ISQLiteConnection;

class Migration {

    /**
     * Erstellt die Tabelle für Workflow-Konfigurationen
     * @param ISQLiteConnection $connection
     */
    public function createWorkflowConfigTable(ISQLiteConnection $connection) {
        $connection->query("CREATE TABLE IF NOT EXISTS *PREFIX*deckflow_workflows (
            id INTEGER PRIMARY KEY AUTOINCREMENT,
            user_id TEXT NOT NULL,
            deck_id TEXT NOT NULL,
            source_stack_id TEXT NOT NULL,
            target_stack_id TEXT NOT NULL
        )");
    }
}
